


      SUBROUTINE FIX(U,V,LON)
C     
C ABSTRACT:
C     THIS ROUTINE FIXES THE ROTATION OF WIND COMPONENTS
C     ON THE LAMBERT CONFORMAL GRID.
C   INPUT ARGUMENT LIST:
C     U        - U WIND 
C     V        - V WIND
C     IMT      - FIRST DIMENSION OF GRID
C     JMT      - SECOND DIMENSION OF GRID
C     LON    - GRID LONGITUDES (DEG WEST POSITIVE)
C     ALATVT   - TANGENT LATITUDE OF OUTPUT GRID  (DEG NORTH)
C     ALONVT   - ROTATION LONGITUDE OF OUTPUT GRID (DEG WEST POS)
C
C   OUTPUT ARGUMENT LIST: 
C     U        - U WIND CORRECTLY ROTATED
C     V        - V WIND CORRECTLY ROTATED
C    
      PARAMETER (IMT=185, JMT=129) 
      REAL ALONVT,ALATVT
      REAL U(IMT,JMT),V(IMT,JMT)
      REAL LON(IMT,JMT)
C
      DATA CONV2R/0.017453293/,CONV2D/57.2958/
      DATA ALATVT/25.,ALONVT/95.
C
CMIC$ DO ALL VECTOR AUTOSCOPE
         DO 30 J = 1, JMT
         DO 30 I = 1, IMT
            U1 = U(I,J)
            V1 = V(I,J)
            ELON = LON(I,J)
            CONE = SIN(ALATVT*CONV2R)
            A1   = (ALONVT-ELON)*CONV2R
            A2   = CONE*(ELON-ALONVT)*CONV2R
C  ROTATE BAD WINDS BACK TO EARTH REL
            SINA = SIN(A1)
            COSA = COS(A1)
            U2   =  U1*COSA+V1*SINA
            V2   = -U1*SINA+V1*COSA
C  ROTATE EARTH WINDS CORRECTLY TO GRID REL
            SINA = SIN(A2)
            COSA = COS(A2)
            U(I,J) =  U2*COSA+V2*SINA
            V(I,J) = -U2*SINA+V2*COSA
 30      CONTINUE
C
      RETURN
      END
